import '@material/web/icon/icon.js';
import '@operato/board/ox-board-creation-card.js';
import { LitElement, PropertyValues } from 'lit';
export declare class BoardTileList extends LitElement {
    static styles: import("lit").CSSResult[];
    boards: any[];
    favorites: any[];
    groups: any[];
    group?: string;
    creatable?: boolean;
    searchText?: string;
    reorderable: boolean;
    private draggedItem;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changes: PropertyValues<this>): void;
    onCreateBoard(e: any): void;
    infoBoard(board: any): void;
    removeFavorite(boardId: any): Promise<void>;
    addFavorite(boardId: any): Promise<void>;
    refreshFavorites(): Promise<void>;
}
